Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 622)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 623)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 ! TEST: PRINT statements on unit 9 (commented out)
 !
@@ -10,4 +10,7 @@
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 519 2010-03-19 05:30:02Z raasch
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 622)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 247 2009-02-27 14:01:30Z heinze
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 622)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Currrent revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 515 2010-03-18 02:30:38Z raasch
Index: palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- palm/trunk/SOURCE/check_for_restart.f90	(revision 622)
+++ palm/trunk/SOURCE/check_for_restart.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 291 2009-04-16 12:07:26Z raasch
Index: palm/trunk/SOURCE/cpu_statistics.f90
===================================================================
--- palm/trunk/SOURCE/cpu_statistics.f90	(revision 622)
+++ palm/trunk/SOURCE/cpu_statistics.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! output of handling of collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! output of handling of collective operations
 !
 ! 222 2009-01-12 16:04:16Z letzel
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 622)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 493 2010-03-01 08:30:24Z raasch
Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 622)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 291 2009-04-16 12:07:26Z raasch
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 622)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 388 2009-09-23 09:40:33Z raasch
Index: palm/trunk/SOURCE/global_min_max.f90
===================================================================
--- palm/trunk/SOURCE/global_min_max.f90	(revision 622)
+++ palm/trunk/SOURCE/global_min_max.f90	(revision 623)
@@ -2,12 +2,17 @@
                             value_ijk, value1, value1_ijk )
 
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
+!
+! Feb. 2007
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
@@ -22,5 +27,5 @@
 ! ------------
 ! Determine the array minimum/maximum and the corresponding indices.
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
     USE indices
@@ -62,5 +67,6 @@
        fmin_l(2)  = myid
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( fmin_l, fmin, 1, MPI_2REAL, MPI_MINLOC, comm2d, ierr )
+       CALL MPI_ALLREDUCE( fmin_l, fmin, 1, MPI_2REAL, MPI_MINLOC, comm2d, &
+                           ierr )
 
 !
@@ -102,5 +108,6 @@
        fmax_l(2)  = myid
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( fmax_l, fmax, 1, MPI_2REAL, MPI_MAXLOC, comm2d, ierr )
+       CALL MPI_ALLREDUCE( fmax_l, fmax, 1, MPI_2REAL, MPI_MAXLOC, comm2d, &
+                           ierr )
 
 !
Index: palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/inflow_turbulence.f90	(revision 622)
+++ palm/trunk/SOURCE/inflow_turbulence.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 222 2009-01-12 16:04:16Z letzel
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 622)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 623)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 560 2010-09-09 10:06:09Z weinreis
Index: palm/trunk/SOURCE/init_particles.f90
===================================================================
--- palm/trunk/SOURCE/init_particles.f90	(revision 622)
+++ palm/trunk/SOURCE/init_particles.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 336 2009-06-10 11:19:35Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 622)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 623)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
 ! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
@@ -11,4 +11,8 @@
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
+!
 ! 438 2010-02-01 04:32:43Z raasch
 ! 2d-decomposition is default for Cray-XT machines
Index: palm/trunk/SOURCE/init_slope.f90
===================================================================
--- palm/trunk/SOURCE/init_slope.f90	(revision 622)
+++ palm/trunk/SOURCE/init_slope.f90	(revision 623)
@@ -4,9 +4,14 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
+!
+! Feb. 2007
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 622)
+++ palm/trunk/SOURCE/modules.f90	(revision 623)
@@ -5,9 +5,12 @@
 ! Current revisions:
 ! -----------------
-! +collective_wait in pegrid
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! +collective_wait in pegrid
 !
 ! 600 2010-11-24 16:10:51Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 622)
+++ palm/trunk/SOURCE/parin.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +collective_wait in inipar
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! +collective_wait in inipar
 !
 ! 600 2010-11-24 16:10:51Z raasch
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 622)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 377 2009-09-04 11:09:00Z raasch
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 622)
+++ palm/trunk/SOURCE/poismg.f90	(revision 623)
@@ -8,9 +8,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 257 2009-03-11 15:17:42Z heinze
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 622)
+++ palm/trunk/SOURCE/pres.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 151 2008-03-07 13:42:18Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 622)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! +collective_wait
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! +collective_wait
 !
 ! 600 2010-11-24 16:10:51Z raasch
Index: palm/trunk/SOURCE/set_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/set_particle_attributes.f90	(revision 622)
+++ palm/trunk/SOURCE/set_particle_attributes.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 271 2009-03-26 00:47:14Z raasch
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 622)
+++ palm/trunk/SOURCE/timestep.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 343 2009-06-24 12:59:09Z maronga
Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 622)
+++ palm/trunk/SOURCE/transpose.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 164 2008-05-15 08:46:15Z raasch
Index: palm/trunk/SOURCE/user_statistics.f90
===================================================================
--- palm/trunk/SOURCE/user_statistics.f90	(revision 622)
+++ palm/trunk/SOURCE/user_statistics.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
 !
 ! 555 2010-09-07 07:32:53Z raasch
Index: palm/trunk/SOURCE/write_compressed.f90
===================================================================
--- palm/trunk/SOURCE/write_compressed.f90	(revision 622)
+++ palm/trunk/SOURCE/write_compressed.f90	(revision 623)
@@ -5,9 +5,14 @@
 ! Current revisions:
 ! -----------------
-! optional barriers included in order to speed up collective operations
+! 
 !
 ! Former revisions:
 ! ---------------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! optional barriers included in order to speed up collective operations
+!
+! Feb. 2007
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 622)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 623)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! +collective_wait
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 622 2010-12-10 08:08:13Z raasch
+! +collective_wait
 !
 ! 600 2010-11-24 16:10:51Z raasch