Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 634)
+++ palm/trunk/SCRIPTS/mbuild	(revision 635)
@@ -115,4 +115,6 @@
      #                    SGI-ICE/lcsgi
      #                    adjustments for Kyushu Univ. (lcrte, ibmku)
+     # 14/12/10 - Siggi - adjustments for new Tsubame system at Tokyo
+     #                    institute of technology (lctit)
 
 
@@ -471,5 +473,5 @@
         (lcsgih)         remote_addres=130.75.4.102;;
         (lck)            remote_addres=165.132.26.61;;
-        (lctit)          remote_addres=172.17.75.161;;
+        (lctit)          remote_addres=10.1.6.170;;
         (lcxt4)          remote_addres=129.177.20.113;;
         (lcxt5m)         remote_addres=193.166.211.144;;
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 634)
+++ palm/trunk/SCRIPTS/mrun	(revision 635)
@@ -213,4 +213,6 @@
      #                     has now argument threads_per_task
      #                     adjustments for Kyushu Univ. (lcrte, ibmku)
+     # 14/12/10 - Siggi  - adjustments for new Tsubame system at Tokyo
+     #                     institute of technology (lctit)
 
 
@@ -662,5 +664,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmku|ibms|ibmy|nech|necriam|lckyoto|lcsgib|lcsgih|lctit|unics|lcxt4|lcxt5m|lck)  true;;
+        (ibm|ibmh|ibmku|ibms|ibmy|nech|necriam|lckyoto|lcsgib|lcsgih|unics|lcxt4|lcxt5m|lck)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -839,5 +841,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibmh|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
+                       (ibm|ibmh|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1121,5 +1123,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|lctit|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
+        (ibm|ibmh|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -1208,7 +1210,4 @@
        then
           node_usage=shared
-       elif [[ $host = lctit ]]
-       then
-          node_usage=RAM64GB
        elif [[ $(echo $host | cut -c1-5) = lcsgi ]]
        then
@@ -1219,5 +1218,5 @@
     fi
 
-    if [[ $node_usage != shared  &&  $node_usage != not_shared  &&  $node_usage != singlejob  &&  "$(echo $node_usage | cut -c1-3)" != "sla"  &&  $node_usage != RAM64GB  ]]
+    if [[ $node_usage != shared  &&  $node_usage != not_shared  &&  $node_usage != singlejob  &&  "$(echo $node_usage | cut -c1-3)" != "sla" ]]
     then
        printf "\n"
@@ -1270,5 +1269,5 @@
         (lcsgib)     queue=bigq;;
         (lcsgih)     queue=bigq;;
-        (lctit)      queue=RAM64GB;;
+        (lctit)      queue=S;;
         (nech)       queue=none;;
         (necriam)    queue=SP;;
@@ -1967,9 +1966,18 @@
 
     # JOBMODUS FESTSTELLEN 
- if [[ "$ENVIRONMENT" = BATCH  &&  $localhost != lctit  ||  "$QUEUE" != interactive  &&  $localhost = lctit ]]
+ if [[ "$ENVIRONMENT" = BATCH ]]
  then
     jobmo=BATCH
  else
     jobmo=INTERACTIVE
+ fi
+
+
+    # no interactive runs on lctit
+ if [[ $host = lctit  &&  $jobmo = INTERACTIVE  &&  $do_batch = false ]]
+ then
+    printf "\n  +++ no interactive runs allowed on host \"$host\" "
+    printf "\n      please submit batch job using mrun option \"-b\" \n"
+    locat=normal; exit
  fi
 
@@ -2533,5 +2541,4 @@
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
        else
-          [[ $localhost = lctit ]]  &&  export LM_LICENSE_FILE=27050@tggls
           [[ $localhost = lcxt4 ]]  &&  . /opt/modules/default/init/ksh
           [[ "$module_calls" != "" ]]  &&  eval $module_calls
@@ -3439,31 +3446,5 @@
           elif [[ $host = lctit ]]
           then
-             export runfile=runfile.$kennung
-
-             echo "cd $PWD"                                  >   $runfile
-             echo "export OMP_NUM_THREADS=$OMP_NUM_THREADS"  >>  $runfile
-             echo "export cpurest=$cpurest"                  >>  $runfile
-             echo "export fname=$fname"                      >>  $runfile
-             echo "export localhost=$localhost"              >>  $runfile
-             echo "export return_addres=$return_addres"      >>  $runfile
-             echo "export return_username=$return_username"  >>  $runfile
-             echo "export tasks_per_node=$tasks_per_node"    >>  $runfile
-             echo "export write_binary=$write_binary"        >>  $runfile
-             echo "export use_seperate_pe_for_dvrp_output=$use_seperate_pe_for_dvrp_output"  >>  $runfile
-             echo "./a.out"                                  >>  $runfile
-             chmod  u+x  $runfile
-
-             if [[ "$QUEUE" = interactive ]]
-             then
-                mpirun  -np $numprocs  a.out  $ROPTS
-             else
-		 (( mem_tsubame = $memory / 1024.0 ))
-		 echo "Memory for Tsubame for each process in GB:", $mem_tsubame
-#                n1ge  -fore  -g 1S060156  -mpi $numprocs  -mem 4  -N palm  -q $queue  a.out  $ROPTS
-#               /n1ge/TITECH_GRID/tools/bin/n1ge -fore -g $group_number -mpi ${numprocs}:$tasks_per_node -mem $mem_tsubame -N palm -rt $minuten -q $queue  a.out  $ROPTS
-                 n1ge -fore -g $group_number -mpi ${numprocs}:$tasks_per_node -mem $mem_tsubame -N palm -rt $minuten -q $queue  a.out  $ROPTS
-             fi
-
-             rm  $runfile
+             mpirun  -np $numprocs  -hostfile $PBS_NODEFILE ./a.out  $ROPTS
           else
              mpprun  -n $numprocs  a.out  $ROPTS
@@ -4233,14 +4214,10 @@
           then
 
-             if [[ $localhost = lcsgih  ||  $localhost = lcsgib  ||  $localhost = nech  ||  $localhost = ibmh  ||  $localhost = ibmku  ||  $localhost = ibms  ||  $localhost = lctit ]]
+             if [[ $localhost = lcsgih  ||  $localhost = lcsgib  ||  $localhost = nech  ||  $localhost = ibmh  ||  $localhost = ibmku  ||  $localhost = ibms ]]
              then
                 echo "*** ssh will be used to initiate restart-runs!"
                 echo "    return_addres=\"$return_addres\" "
                 echo "    return_username=\"$return_username\" "
-                if [[ $return_addres = 172.20.25.41 ]]
-                then
-                      # WORKAROUND AUF SCIROCCO AM TIT
-                   print  "PATH=\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "  |  ssh $return_addres -l $return_username
-                elif [[ $(echo $return_addres | grep -c "130.75.105") = 1 ]]
+                if [[ $(echo $return_addres | grep -c "130.75.105") = 1 ]]
                 then
                    ssh $return_addres -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:/muksoft/packages/intel/Compiler/11.0/083/lib/intel64/;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
@@ -4460,9 +4437,4 @@
        cat   ${PALM_BIN}/$mrun_script_name          >>  $jobfile
        echo  "%END%"                                >>  $jobfile
-       if [[ $host = lctit ]]
-       then
-          echo "sed 's/bin\/ksh/home2\/usr5\/mkanda\/pub\/ksh/' < $mrun_script_name > mrun_new" >>  $jobfile
-          echo "mv  mrun_new  $mrun_script_name"    >>  $jobfile
-       fi
        echo  "chmod u+x $mrun_script_name"          >>  $jobfile
        echo  "execute_mrun=true"                    >>  $jobfile
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 634)
+++ palm/trunk/SCRIPTS/subjob	(revision 635)
@@ -124,4 +124,6 @@
      #                    SGI-ICE/lcsgi
      #                    adjustments for Kyushu Univ. (lcrte, ibmku)
+     # 14/12/10 - Siggi - adjustments for new Tsubame system at Tokyo
+     #                    institute of technology (lctit)
 
 
@@ -236,5 +238,5 @@
      (r1*)                   local_addres=130.75.4.102;   local_host=lcsgih;;
      (r2*)                   local_addres=130.73.232.102; local_host=lcsgib;;
-     (tgg*)                  local_addres=172.17.75.161;  local_host=lctit;;
+     (t2a*)                  local_addres=10.1.6.165;     local_host=lctit;;
      (vorias)                local_addres=172.20.25.43;   local_host=lcmuk;;
      (*.cc.kyushu-u.ac.jp)   local_addres=133.5.4.129;    local_host=ibmku;;
@@ -367,5 +369,5 @@
         (lcsgih)  queue=smallq; remote_addres=130.75.4.101; submcom=/opt/moab/bin/msub;;
         (lck)     remote_addres=165.132.26.61; submcom=/usr/torque/bin/qsub;;
-        (lctit)   queue=lctit; remote_addres=172.17.75.161; submcom=/n1ge/TITECH_GRID/tools/bin/n1ge;;
+        (lctit)   queue=S; remote_addres=10.1.6.165; submcom=/opt/pbs/tools/bin/t2sub;;
         (lcxt4)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.4.9-snap.201005191035/bin/qsub;;
         (lcxt5m)  remote_addres=193.166.211.144; submcom=/opt/pbs/10.1.0.91350/bin/qsub;;
@@ -415,5 +417,5 @@
                  esac;;
         (lctit)  case  $ndq  in
-                     (novice|sla1|sla2|sla3|RAM64GB|RAM128GB)    error=false;;
+                     (G|L128|L256|L512H|S|S96|V)             error=false;;
                      (*)                                     error=true;;
                  esac;;
@@ -513,4 +515,7 @@
        (( Memory = memory / 1000 ))
     fi
+ elif [[ $remote_host = lctit ]]
+ then
+    (( Memory = memory * tasks_per_node / 1000 ))
  fi
 
@@ -1031,15 +1036,10 @@
  then
     cat > $job_to_send << %%END%%
-#!/bin/bash
-#$ -S /bin/bash
-cd $job_catalog
-export PATH=$PALM_BIN:\$PATH
-echo \$PATH
+#!/bin/ksh
 
 %%END%%
 
        # OPTIONEN FUER SUBMIT-KOMMANDO ZUSAMMENSTELLEN
-  #  submcom="$submcom  -N $job_name  -sgeout $remote_dayfile  -q default"
-    submcom="$submcom -g $group_number -N $job_name -rt 4320 -sgeout $remote_dayfile  -q $node_usage "
+    submcom="$submcom -W group_list=$group_number -N $job_name -l walltime=$timestring -l select=$nodes:ncpus=$processes_per_node:mpiprocs=$tasks_per_node:mem=${Memory}gb -l place=scatter -o $remote_dayfile -j oe -q $queue "
 
  else
@@ -1066,5 +1066,5 @@
     echo "trap '"                               >>  $job_to_send
     echo "set +vx"                              >>  $job_to_send
-    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $(echo $remote_host | cut -c1-5) = lcsgi  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lctit ]]
+    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $(echo $remote_host | cut -c1-5) = lcsgi  ||  $(echo $remote_host | cut -c1-3) = nec ]]
     then
        if [[ $remote_host = ibmh ]]
@@ -1083,7 +1083,4 @@
        then
           return_queue=serialq
-       elif [[ $remote_host = lctit ]]
-       then
-          return_queue=sla3
        elif [[ $remote_host = necriam ]]
        then
@@ -1169,14 +1166,4 @@
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
           echo "%%END%%"                           >>  $job_to_send
-
-       elif [[ $remote_host = lctit ]]
-       then
-          echo "cat > scpjob.$kennung << %%END%%"          >>  $job_to_send
-          echo "set -x"                                    >>  $job_to_send
-          echo "PATH=\$PATH:$job_catalog/../pub"           >>  $job_to_send
-          echo "cd $job_catalog"                           >>  $job_to_send
-          echo "batch_scp  -d  -w 10  -u $local_user $local_addres  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
-          echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
-          echo "%%END%%"                                   >>  $job_to_send
 
        else
@@ -1213,10 +1200,4 @@
           echo "chmod  u+x  scpjob.$kennung"    >>  $job_to_send
           echo "msub  scpjob.$kennung"          >>  $job_to_send
-       elif [[ $remote_host = lctit ]]
-       then
-          echo "chmod  u+x  scpjob.$kennung"    >>  $job_to_send
-          echo "rm -rf ${job_catalog}/last_job_transfer_protocol"  >>  $job_to_send
-          echo "n1ge  -N jobtransfer  -q $return_queue  -sgeout ${job_catalog}/last_job_transfer_protocol  scpjob.$kennung"  >>  $job_to_send
-          echo "sleep 10"                       >>  $job_to_send
        elif [[ $remote_host = t3eb  ||  $remote_host = t3eh  ||  $remote_host = t3ej2  ||  $remote_host = t3ej5 ]]
        then
@@ -1255,4 +1236,6 @@
     echo "exit"      >>  $job_to_send
  fi
+
+    # remove job file
  if [[ $remote_host = lctit  ||  $remote_host = ibmku ]]
  then
@@ -1322,37 +1305,14 @@
     then
        [[ $verify = true ]]  &&  printf "\n >>> submitting job using \"qsub\"...\n"
-       if [[ $remote_host != lctit ]]
-       then
-          if [[ $(echo $remote_host | cut -c1-5) = lcsgi  &&  $prio = true ]]
-          then
-             printf "\n >>> submit with HLRN qos-feature hiprio...\n"
-             ssh  $remote_addres  -l $remote_user  "cd $job_catalog; $submcom -l qos=hiprio $job_on_remhost; rm $job_on_remhost"
-          elif [[ $remote_host = ibmku ]]
-          then
-             ssh  $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost"
-          else
-             ssh  $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost; rm $job_on_remhost"
-          fi
+
+       if [[ $(echo $remote_host | cut -c1-5) = lcsgi  &&  $prio = true ]]
+       then
+          printf "\n >>> submit with HLRN qos-feature hiprio...\n"
+          ssh  $remote_addres  -l $remote_user  "cd $job_catalog; $submcom -l qos=hiprio $job_on_remhost; rm $job_on_remhost"
+       elif [[ $remote_host = ibmku ]]
+       then
+          ssh  $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost"
        else
-             # TIT ERLAUBT NUR DIE AUSFUEHRUNG GANZ BESTIMMTER KOMMANDOS
-             # MIT SSH, DESHALB AUFRUF PER PIPE
-             # UEBERGANGSWEISE CHECK, OB N1GE ENVIRONMENT WIRKLICH VERFUEGBAR
-          print  "cd $job_catalog; chmod u+x $job_on_remhost"  |  ssh  $remote_addres  -l $remote_user  > /dev/null  2>&1 
-          echo "first try" > send_protocol
-          while [[ $(cat send_protocol | grep -c "Forwarding to N1GE") = 0 ]]
-          do
-             if [[ $(cat send_protocol | grep -c "first try") = 1 ]]
-             then
-                printf "\n trying to submit job to TIT cluster..."
-             else
-                printf "\n +++ failed ... trying to submit again ..."
-             fi
-             print  "cd $job_catalog; $submcom $job_on_remhost"  |  ssh  $remote_addres  -l $remote_user  >  send_protocol  2>&1 
-             cat send_protocol
-          done
-          sleep 10
-          print  "cd $job_catalog;  rm $job_on_remhost"  |  ssh  $remote_addres  -l $remote_user  > /dev/null  2>&1 
-          echo "$submcom  $job_on_remhost"
-          rm  send_protocol
+          ssh  $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost; rm $job_on_remhost"
        fi
 
@@ -1365,8 +1325,7 @@
        elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxt4 || $localhost = lck ]]
        then
+          chmod  u+x  $job_on_remhost
+          echo "$submcom  $job_on_remhost"
           eval  $submcom  $job_on_remhost
-          echo "$submcom  $job_on_remhost"
-          chmod  u+x  $job_on_remhost
-
        elif [[ $local_host = nech ]]
        then