Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 673)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 674)
@@ -5,13 +5,14 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id: advec_s_ws.f90 411 2009-12-11 12:31:43 Z suehring $
+!
+! 411 2009-12-11 12:31:43 Z suehring 
 ! Allocation of weight_substep moved to init_3d_model. 
 ! Declaration of ws_scheme_sca and ws_scheme_mom moved to check_parameters.
 ! Setting bc for the horizontal velocity variances added (moved from 
-! flow_statistics)
-!
-! Former revisions:
-! -----------------
-! $Id: advec_s_ws.f90 411 2009-12-11 12:31:43 Z suehring $
-!
+! flow_statistics).
 !
 ! Initial revision
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 673)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 674)
@@ -4,10 +4,11 @@
 ! Current revisions:
 ! -----------------
-! Declaration of ws_scheme_sca and ws_scheme_mom added (moved from 
-! advec_ws.f90).
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 673 2011-01-18 16:19:48Z suehring
+! Declaration of ws_scheme_sca and ws_scheme_mom added (moved from advec_ws).
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 673)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 674)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! When using Multigrid or SOR solver an additional CALL exchange_horiz is 
-! is needed for pressure output.
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 673 2011-01-18 16:19:48Z suehring
+! When using Multigrid or SOR solver an additional CALL exchange_horiz is 
+! is needed for pressure output.
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 673)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 674)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! When using Multigrid or SOR solver an additional CALL exchange_horiz is 
-! is needed for pressure output.
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 673 2011-01-18 16:19:48Z suehring 
+! When using Multigrid or SOR solver an additional CALL exchange_horiz is 
+! is needed for pressure output.
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 673)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 674)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Top bc for the horizontal velocity variances added for ocean runs.
-! Setting the corresponding bottom bc moved to advec_ws.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 673 2011-01-18 16:19:48Z suehring
+! Top bc for the horizontal velocity variances added for ocean runs.
+! Setting the corresponding bottom bc moved to advec_ws.
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 673)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 674)
@@ -7,10 +7,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 673 2011-01-18 16:19:48Z suehring 
 ! weight_substep (moved from advec_ws) and weight_pres added.
 ! Allocate p_sub when using Multigrid or SOR solver.
 ! Call of ws_init moved behind the if requests.
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 673)
+++ /palm/trunk/SOURCE/modules.f90	(revision 674)
@@ -5,10 +5,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 673 2011-01-18 16:19:48Z suehring
 ! +weight_pres to weight the respective contribution of the Runge-Kutta 
 ! substeps. +p_sub to buffer the intermediate contributions for Multigrid and 
 ! SOR.
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 673)
+++ /palm/trunk/SOURCE/pres.f90	(revision 674)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Weighting coefficients added for right computation of the pressure during
-! Runge-Kutta substeps. 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 673 2011-01-18 16:19:48Z suehring
+! Weighting coefficients added for right computation of the pressure during
+! Runge-Kutta substeps. 
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 673)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 674)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Consideration of the pressure gradient (steered by tsc(4)) during the time 
-! integration removed.
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 673 2011-01-18 16:19:48Z suehring
+! Consideration of the pressure gradient (steered by tsc(4)) during the time 
+! integration removed.
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/timestep_scheme_steering.f90
===================================================================
--- /palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 673)
+++ /palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 674)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! No pressure term during time integration (tsc(4)=0.0).
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 673 2011-01-18 16:19:48Z suehring
+! No pressure term during time integration (tsc(4)=0.0).
+!
 ! RCS Log replace by Id keyword, revision history cleaned up
 !