Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 690)
+++ palm/trunk/SCRIPTS/mbuild	(revision 691)
@@ -117,4 +117,5 @@
      # 14/12/10 - Siggi - adjustments for new Tsubame system at Tokyo
      #                    institute of technology (lctit)
+     # 04/03/11 - BjÃ¶rnM- re-adjustments for lcxt4
 
 
@@ -1090,5 +1091,5 @@
           then
 
-             print ". /opt/modules/default/init/ksh; $module_calls  cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
+             ssh  ${remote_username}@${remote_addres} ". /opt/modules/default/init/ksh; $module_calls  cd ${remote_md}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" 2>&1 | tee ${remote_host}_last_make_protokoll
 
           else
@@ -1249,5 +1250,5 @@
           then
 
-             print ". /opt/modules/default/init/ksh; $module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  ${remote_username}@${remote_addres} 2>&1 | tee ${remote_host}_last_make_protokoll
+             ssh  ${remote_username}@${remote_addres} ". /opt/modules/default/init/ksh; $module_calls cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" 2>&1 | tee ${remote_host}_last_make_protokoll
 
           else
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 690)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 691)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! Replaced simulated_time by time_since_reference_point
 !
 ! Former revisions:
@@ -727,5 +728,5 @@
 #if defined( __netcdf )
                          IF ( netcdf_output  .AND.  myid == 0 )  THEN
-                            WRITE ( 21 )  simulated_time, &
+                            WRITE ( 21 )  time_since_reference_point, &
                                           do2d_xy_time_count(av), av
                          ENDIF
@@ -1023,5 +1024,5 @@
 #if defined( __netcdf )
                          IF ( netcdf_output  .AND.  myid == 0 )  THEN
-                            WRITE ( 22 )  simulated_time, &
+                            WRITE ( 22 )  time_since_reference_point, &
                                           do2d_xz_time_count(av), av
                          ENDIF
@@ -1324,5 +1325,5 @@
 #if defined( __netcdf )
                          IF ( netcdf_output  .AND.  myid == 0 )  THEN
-                            WRITE ( 23 )  simulated_time, &
+                            WRITE ( 23 )  time_since_reference_point, &
                                           do2d_yz_time_count(av), av
                          ENDIF
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 690)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 691)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! Replaced simulated_time by time_since_reference_point
 !
 ! Former revisions:
@@ -242,5 +243,5 @@
                 to_be_resorted => q_av
              ENDIF
-             
+
           CASE ( 'ql' )
              IF ( av == 0 )  THEN
@@ -291,5 +292,5 @@
                 to_be_resorted => rho_av
              ENDIF
-             
+
           CASE ( 's' )
              IF ( av == 0 )  THEN
@@ -298,5 +299,5 @@
                 to_be_resorted => s_av
              ENDIF
-             
+
           CASE ( 'sa' )
              IF ( av == 0 )  THEN
@@ -305,5 +306,5 @@
                 to_be_resorted => sa_av
              ENDIF
-             
+
           CASE ( 'u' )
              IF ( av == 0 )  THEN
@@ -408,5 +409,6 @@
 !--             combine_plot_fields
                 IF ( myid == 0 )  THEN
-                   WRITE ( 30 )  simulated_time, do3d_time_count(av), av
+                   WRITE ( 30 )  time_since_reference_point,                   &
+                                 do3d_time_count(av), av
                 ENDIF
                 WRITE ( 30 )  nxlg, nxrg, nysg, nyng, nzb, nz_do3d
Index: palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- palm/trunk/SOURCE/init_coupling.f90	(revision 690)
+++ palm/trunk/SOURCE/init_coupling.f90	(revision 691)
@@ -4,5 +4,6 @@
 ! Current revisions:
 ! -----------------
-!
+! Bugfix: combine_plot_fields did not work with data_output_2d_on_each_pe = .T.
+! for precursor ocean runs
 !
 ! Former revisions:
@@ -96,4 +97,12 @@
     IF ( i == 0 ) THEN
        coupling_mode = 'uncoupled'
+!
+!--    In case of a precursor ocean run, an additional flag file is created.
+!--    This is necessary for data_output_2d_on_each_pe = .T.
+       IF ( bc_data(3) == 1 )  THEN
+          OPEN( 90, FILE='PRECURSOR_OCEAN', FORM='FORMATTED' )
+          WRITE ( 90, '(''TRUE'')' )
+          CLOSE ( 90 )
+       ENDIF
     ELSE
        comm_inter = MPI_COMM_WORLD
Index: palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields.f90	(revision 690)
+++ palm/trunk/UTIL/combine_plot_fields.f90	(revision 691)
@@ -2,7 +2,7 @@
 
 !------------------------------------------------------------------------------!
-! Actual revisions:
+! Current revisions:
 ! -----------------
-! 
+! Bugfix: check for precursor ocean runs
 !
 ! Former revisions:
@@ -116,9 +116,18 @@
 
 !
+!-- Find out if a precursor ocean run has been carried out
+    INQUIRE( FILE='PRECURSOR_OCEAN', EXIST=found )
+    IF ( found )  THEN
+       model_string = '_O'
+       PRINT*, '    precursor ocean run'
+    ELSE
+       model_string = ''
+    ENDIF
+
+!
 !-- Do everything for each model
     DO model = 1, models
 !
 !--    Set the model string used to identify the filenames
-       model_string = ''
        IF ( models == 2 )  THEN
           PRINT*, ''